import os
import sys
import os
import arcpy
myScripts = os.path.join(os.path.dirname(__file__), "Scripts_geo")
sys.path.append(myScripts)

from merge_region_1 import MergeObjects
from extract_rval_1 import ExtractRstat
from locate_near_1e import ClassLocatedNear
from class_by_atr_2b import ClassByAtr
from tekstura_2d import Texture
from confusion_matrix_1 import ConfMatrix

class Toolbox(object):
    def __init__(self):
        """Define the toolbox (the  name of the toolbox is the name of the
        .pyt file)."""
        self.label = "geobia"
        self.alias = "geobia"

        # List of tool classes associated with this toolbox
        self.tools = [MergeObjects,ExtractRstat,ClassLocatedNear,ClassByAtr,Texture,ConfMatrix]
